"use strict";
(() => {
var exports = {};
exports.id = 2164;
exports.ids = [2164];
exports.modules = {

/***/ 9203:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (/* binding */ formatDate)
/* harmony export */ });
/* unused harmony export padTo2Digits */
function padTo2Digits(num) {
    return num.toString().padStart(2, "0");
}
function formatDate(date) {
    return [
        date.getFullYear(),
        padTo2Digits(date.getMonth() + 1),
        padTo2Digits(date.getDate())
    ].join("-");
}


/***/ }),

/***/ 6405:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__),
/* harmony export */   "getServerSideProps": () => (/* binding */ getServerSideProps)
/* harmony export */ });
/* harmony import */ var _prisma_client__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(3524);
/* harmony import */ var _prisma_client__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(_prisma_client__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _helpers_dateHelper__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(9203);


const prisma = new _prisma_client__WEBPACK_IMPORTED_MODULE_0__.PrismaClient();
function generateSiteMap(posts, req) {
    return `<?xml version="1.0" encoding="UTF-8"?>
   <urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">${posts.map(({ slug , updated_at  })=>{
        let date = new Date(parseInt(updated_at));
        return `
       <url>
          <loc>${`https://${req.headers.host}/${slug != "/" ? slug + "/" : ""}`}</loc>
          <lastmod>${(0,_helpers_dateHelper__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Z)(date)}</lastmod>
          <changefreq>weekly</changefreq>
          <priority>1.0</priority>
       </url>
     `;
    }).join("")}</urlset>
 `;
}
async function getServerSideProps({ req, res  }) {
    const posts = await prisma.post.findMany() || null;
    const sitemap = generateSiteMap(posts, req);
    res.setHeader("Content-Type", "text/xml");
    res.write(sitemap);
    res.end();
    return {
        props: {
            posts: posts
        }
    };
}
function SiteMap() {}
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SiteMap);


/***/ }),

/***/ 3524:
/***/ ((module) => {

module.exports = require("@prisma/client");

/***/ })

};
;

// load runtime
var __webpack_require__ = require("../webpack-runtime.js");
__webpack_require__.C(exports);
var __webpack_exec__ = (moduleId) => (__webpack_require__(__webpack_require__.s = moduleId))
var __webpack_exports__ = (__webpack_exec__(6405));
module.exports = __webpack_exports__;

})();